I used 6.1.1  that has the patch.  (<a href="http://www.linuxfromscratch.org/lfs/view/stable/chapter05/binutils-pass1.html">http://www.linuxfromscratch.org/lfs/view/stable/chapter05/binutils-pass1.html</a>)  This patched 2 files I think, I'm at work away from the machine so I can't check for sure until later.
<br><br>The normal make works fine and ld does compile and install.  It's the secondary compile with LIB_PATH that breaks.<br><br>Thinking about this, that would seem a tad bit strange to me but I read ahead the note (<a href="http://www.linuxfromscratch.org/lfs/view/stable/chapter05/adjusting.html">
http://www.linuxfromscratch.org/lfs/view/stable/chapter05/adjusting.html</a>) and fiqured I could skip past this for now.  I already know FC4 is quirky so I figured once I got a good tool chain I would be save.<br><br>The error repeats itself with the GCC compile which kinda of blows the theory of getting of good tools out of the water.  
<br><br>I'll be happy to try and debug.  The other option I was thinking of was to go ahead and bring bintools and gcc up to development.  I'm not sure how likely that is to break evrything else though.<br><br><br><div><span class="gmail_quote">
On 12/1/05, <b class="gmail_sendername">Jeremy Huntwork</b> <<a href="mailto:jhuntwork@linuxfromscratch.org">jhuntwork@linuxfromscratch.org</a>> wrote:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
Andrew Benton wrote:<br><br>> Bing. You hit the nail on the head there. As Richard said, Fedora Core 4<br>> isn't a suitable distro to build the stable version of the book. It<br>> should work OK for the development version but that may not be suitable
<br>> if it's your first attempt at LFS. I've had good results building from<br>> Ubuntu. I like Ubuntu because it's all on one CD. Like the LFS live CD<br>> in fact.<br>> One important point. If you get an error building binutils, don't think
<br>> it doesn't matter and try to build gcc. Fix the errors as they come up.<br><br>Erm. Didn't we fix this issue for 6.1.1? (Of course development should<br>be fine, too). We now patch binutils:<br><br>"If you are building from a host running Gcc-4 or later, it is necessary
<br>to patch the first build of this version of Binutils so that it can be<br>compiled by the host system."<br><br>Of course that's not true for 6.1, but since as of yesterday, stable is<br>6.1.1, FC4 *should* be suitable as a host.
<br><br>--<br>JH<br>--<br><a href="http://linuxfromscratch.org/mailman/listinfo/lfs-support">http://linuxfromscratch.org/mailman/listinfo/lfs-support</a><br>FAQ: <a href="http://www.linuxfromscratch.org/lfs/faq.html">http://www.linuxfromscratch.org/lfs/faq.html
</a><br>Unsubscribe: See the above information page<br></blockquote></div><br><br clear="all"><br>-- <br>Kevin Barnard<br><br>"Great Beauty, great strength, and great Riches, <br> are really and truly of no great Use; 
<br> a right Heart exceeds all." -- Benjamin Franklin